Package org.opensaml.xacml.ctx

# Interface AttributeType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `AttributeTypeImpl`

public interface AttributeType extends XACMLObject
XACML context Attribute schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTRIBUTEID_ATTTRIB_NAME`
Name of the AttributeId attribute.
`static final String`
`DATATYPE_ATTRIB_NAME`
Name for the Datatype attribute.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the Attribute element.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name XACML20.
`static final String`
`ISSUER_ATTRIB_NAME`
Name of the Issuer attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type XACML20.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
gets the AttributeId.
`List<AttributeValueType>`
`getAttributeValues()`
Gets the list of attribute values for this attribute.
`String`
`getDataType()`
Get the datatype of the attribute.
`String`
`getIssuer()`
Gets the issuer of the attribute.
`void`
`setAttributeID(String attributeId)`
Sets the AttributeId.
`void`
`setDataType(String datatype)`
Sets the datatype of the attribute.
`void`
`setIssuer(String issuer)`
Sets the issuer of the attribute.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the Attribute element.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
Default element name XACML20.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

static final QName TYPE_NAME
QName of the XSI type XACML20.

### ATTRIBUTEID_ATTTRIB_NAME

static final String ATTRIBUTEID_ATTTRIB_NAME
Name of the AttributeId attribute.

See Also:
  - Constant Field Values

### DATATYPE_ATTRIB_NAME

static final String DATATYPE_ATTRIB_NAME
Name for the Datatype attribute.

See Also:
  - Constant Field Values

### ISSUER_ATTRIB_NAME

static final String ISSUER_ATTRIB_NAME
Name of the Issuer attribute.

See Also:
  - Constant Field Values

## Method Details

### getAttributeId

String getAttributeId()
gets the AttributeId.

Returns:
  the AttributeId

### getAttributeValues

List<AttributeValueType> getAttributeValues()
Gets the list of attribute values for this attribute.

Returns:
  the list of values for this attribute

### getDataType

String getDataType()
Get the datatype of the attribute.

Returns:
  the datatype

### getIssuer

String getIssuer()
Gets the issuer of the attribute.

Returns:
  the value of Issuer

### setAttributeID

void setAttributeID(String attributeId)
Sets the AttributeId.

Parameters:
  `attributeId` - is the wanted AttributeId

### setDataType

void setDataType(String datatype)
Sets the datatype of the attribute.

Parameters:
  `datatype` - is the wanted datatype

### setIssuer

void setIssuer(String issuer)
Sets the issuer of the attribute.

Parameters:
  `issuer` - is the issuer of the attribute